package com.cooleshow.teacher.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.TeacherUserInfo;
import com.cooleshow.usercenter.bean.UserInfo;

/**
 * Author by pq, Date on 2022/4/20.
 */
public interface HomeContract {

    interface HomeView extends BaseView {
        void getUserInfoSuccess(UserInfo userInfo);

        void getTeacherInfoSuccess(TeacherUserInfo teacherUserInfo);
    }

    interface Presenter {
        void getUserInfo();

        void getTeacherUserInfo();
    }
}
